Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrDescendantNodeJoinCondition

    java.lang.Object
      org.modeshape.graph.query.model.DescendantNodeJoinCondition
          org.modeshape.jcr.query.qom.JcrDescendantNodeJoinCondition

All Implemented Interfaces:
  Serializable, DescendantNodeJoinCondition, JoinCondition, LanguageObject, Visitable, JcrJoinCondition

    public class JcrDescendantNodeJoinCondition

extends DescendantNodeJoinCondition
implements DescendantNodeJoinCondition, JcrJoinCondition

Implementation of the descendant-node join condition for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrDescendantNodeJoinCondition(SelectorName ancestorSelectorName, SelectorName descendantSelectorName)` Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.

Method Summary
`String` | `getAncestorSelectorName()`
`String` | `getDescendantSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.DescendantNodeJoinCondition
`accept, ancestorSelectorName, descendantSelectorName, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrDescendantNodeJoinCondition

    public JcrDescendantNodeJoinCondition(SelectorName ancestorSelectorName,
                                          SelectorName descendantSelectorName)

  Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.

  Parameters:
    `ancestorSelectorName` - the name of the ancestor selector
    `descendantSelectorName` - the name of the descendant selector

Method Detail

### getAncestorSelectorName

    public String getAncestorSelectorName()

  Specified by:
    `getAncestorSelectorName` in interface `DescendantNodeJoinCondition`
  See Also:
    `DescendantNodeJoinCondition.getAncestorSelectorName()`

### getDescendantSelectorName

    public String getDescendantSelectorName()

  Specified by:
    `getDescendantSelectorName` in interface `DescendantNodeJoinCondition`
  See Also:
    `DescendantNodeJoinCondition.getDescendantSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.